import { createRouter, createWebHistory } from 'vue-router';
// 公共
import common from './module/common';
// 管理员
import admin from './module/admin';
// 个人用户
import users from './module/users';
// 企业用户
import unit from './module/unit';
import store from '@/stores/counter';
const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    // 公共
    ...common,
    {
      path: '/',
      meta: { title: '基础研究动态管理平台', is_filter: true },
      component: () => import('@common/src/components/studio-one-green/home.vue'),
      children: [
        {
          path: '/',
          name: 'index',
          meta: { title: '系统首页' },
          component: () => import('@/views/home/index.vue'),
        },
        ...admin,
        ...users,
        ...unit,
      ],
    },
  ],
});
router.beforeEach((to, from, next) => {
  document.title = `${to.meta.title} `;
  const token = localStorage.getItem('token');
  if (token) {
    // let user = jwt.decode(token);
    const user = {
      _id: '63b3ed3e404c08bbd8539965',
      account: 'admin',
      name: '管理员',
      role: ['63b641cf35df6c6862df5d39', '63b628199bb09c9905def4cc', '63b64b1f35df6c6862e11bf2', '63b62cac9bb09c9905e14857'],
      is_super: false,
      role_type: '1',
      iat: 1679041521,
      exp: 1679214321,
    };
    store.commit('setUser', user, { root: true });
    next();
  } else {
    window.alert('无登录信息，无法打开');
  }
});
export default router;
